"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Tooltip = _interopRequireDefault(require("./Tooltip"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const TooltipWrapper = ({
  children,
  style,
  tooltipPosition,
  isTooltipVisible,
  onCloseTooltip,
  title,
  description,
  hidePointer,
  displayActionButton,
  onPressActionButton,
  backgroundColor,
  contentColor,
  actionButtonColor
}) => {
  const [childrenDimension, setChildrenDimension] = (0, _react.useState)({
    height: 0,
    width: 0
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: style && style,
    onLayout: e => {
      setChildrenDimension({
        height: e.nativeEvent.layout.height,
        width: e.nativeEvent.layout.width
      });
    }
  }, children, /*#__PURE__*/_react.default.createElement(_Tooltip.default, {
    title: title,
    description: description,
    position: tooltipPosition,
    onClose: onCloseTooltip,
    isVisible: isTooltipVisible,
    parentCompDimensions: childrenDimension,
    hidePointer: hidePointer,
    displayActionButton: displayActionButton,
    onPressActionButton: onPressActionButton,
    backgroundColor: backgroundColor,
    contentColor: contentColor,
    actionButtonColor: actionButtonColor
  }));
};
var _default = exports.default = TooltipWrapper;
//# sourceMappingURL=TooltipWrapper.js.map