import React, { useState } from 'react';
import { View } from 'react-native';
import Tooltip from './Tooltip';
const TooltipWrapper = ({
  children,
  style,
  tooltipPosition,
  isTooltipVisible,
  onCloseTooltip,
  title,
  description,
  hidePointer,
  displayActionButton,
  onPressActionButton,
  backgroundColor,
  contentColor,
  actionButtonColor
}) => {
  const [childrenDimension, setChildrenDimension] = useState({
    height: 0,
    width: 0
  });
  return /*#__PURE__*/React.createElement(View, {
    style: style && style,
    onLayout: e => {
      setChildrenDimension({
        height: e.nativeEvent.layout.height,
        width: e.nativeEvent.layout.width
      });
    }
  }, children, /*#__PURE__*/React.createElement(Tooltip, {
    title: title,
    description: description,
    position: tooltipPosition,
    onClose: onCloseTooltip,
    isVisible: isTooltipVisible,
    parentCompDimensions: childrenDimension,
    hidePointer: hidePointer,
    displayActionButton: displayActionButton,
    onPressActionButton: onPressActionButton,
    backgroundColor: backgroundColor,
    contentColor: contentColor,
    actionButtonColor: actionButtonColor
  }));
};
export default TooltipWrapper;
//# sourceMappingURL=TooltipWrapper.js.map